Page MenuHomePhabricator

Multiple search icons on language selection page
Closed, ResolvedPublic2 Story Points

Description

Steps to Reproduce:
1. Navigate to any page with multiple languages available

  1. Tap the Language icon

Expected Result:
The language selection page appears with the search icon next to the search entry field.

Actual Results:
There are many search icons across the entire search entry field.

Frequency = 5/5

Systems Details:
Nexus 4 Android 5.1 - Maxthon 5
Pixel Android 7.1 - Chrome 52
Nexus 9 Tablet Android 6.0 - Chrome 52
iPhone 6S+ iOS 9.0 - Safari 9.0
iPad Air2 iOS 9.0 - Safari 9.0

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : wmf/1.29.0-wmf.13Fix the incorrect magnify glass icon position in lang search
mediawiki/extensions/MobileFrontend : masterFix the incorrect magnify glass icon position in lang search

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptFeb 24 2017, 6:54 PM
โ€ข Nirzar updated the task description. (Show Details)

Change 339799 had a related patch set uploaded (by Pmiazga):
Show only search icon inside .header element

https://gerrit.wikimedia.org/r/339799

My patch doesn't fix the icon, it changes the styles so the icon should be visible only in pages search located in header element (not in languages search). It's more a quick-fix than a proper solution

ovasileva triaged this task as High priority.Feb 26 2017, 11:50 AM
MBinder_WMF set the point value for this task to 2.Feb 27 2017, 6:13 PM
pmiazga added a comment.EditedFeb 27 2017, 8:27 PM

I just pushed the proper solution, you can review https://gerrit.wikimedia.org/r/#/c/339799/ now

Tested on
Desktop: Chromium 56, Firefox 51
Android 6.0 - Chrome 55
Android 5.1.1 - Chrome 54, Internet 3.3.1

I need someone to test it in IE and on iOS

Change 340226 had a related patch set uploaded (by Bmansurov; owner: Pmiazga):
Fix the incorrect magnify glass icon position in lang search

https://gerrit.wikimedia.org/r/340226

Change 339799 merged by jenkins-bot:
Fix the incorrect magnify glass icon position in lang search

https://gerrit.wikimedia.org/r/339799

bmansurov added a subscriber: bmansurov.

I've lined up a request to SWAT deploy the fix. The task can be signed off on after about 4 hours.

Change 340226 merged by jenkins-bot:
Fix the incorrect magnify glass icon position in lang search

https://gerrit.wikimedia.org/r/340226

The fix has been deployed. You can see it in action at https://en.m.wikipedia.org/wiki/Book#/languages for example.

phuedx reassigned this task from pmiazga to ovasileva.Feb 28 2017, 10:57 AM
phuedx added a subscriber: phuedx.

All done. Thank you @bmansurov!

ovasileva closed this task as Resolved.Feb 28 2017, 3:38 PM